## ros-humble-rosidl-adapter 3.1.5

=== debian/changelog ===
ros-humble-rosidl-adapter (3.1.5-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosidl-adapter (3.1.4-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosidl-adapter (3.1.3-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rosidl-adapter (3.1.2-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosidl-adapter (3.1.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rosidl-adapter (3.1.0-2jammy) jammy; urgency=high

  * rename nested loop index (#643 <https://github.com/ros2/rosidl/issues/643>)
  * Contributors: ibnHatab

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rosidl-adapter (3.0.1-2jammy) jammy; urgency=high

  * Fix how comments in action interfaces are processed (#632 <https://github.com/ros2/rosidl/issues/632>)
  * Pass comments in ros interface constants to the .idl generated files (#630 <https://github.com/ros2/rosidl/issues/630>)
  * Contributors: Ivan Santiago Paunovic

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosidl-adapter (3.0.0-2jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-humble-rosidl-adapter (2.5.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Aug 2021 00:00:00 -0000

ros-humble-rosidl-adapter (2.4.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-rosidl-adapter (2.3.0-2jammy) jammy; urgency=high

  * Fix escaping in string literals (#595 <https://github.com/ros2/rosidl/issues/595>)
  * Ignore multiple ``#`` characters and dedent comments (#594 <https://github.com/ros2/rosidl/issues/594>)
  * Contributors: Ivan Santiago Paunovic

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 11 Jun 2021 00:00:00 -0000

ros-humble-rosidl-adapter (2.2.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rosidl-adapter (2.2.0-2jammy) jammy; urgency=high

  * Expose .msg/.srv/.action to .idl conversion via rosidl translate CLI (#576 <https://github.com/ros2/rosidl/issues/576>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosidl-adapter (2.1.0-2jammy) jammy; urgency=high

  * Support hex constants in msg files (#559 <https://github.com/ros2/rosidl/issues/559>)
  * Contributors: Dereck Wonnacott

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 09 Mar 2021 00:00:00 -0000

ros-humble-rosidl-adapter (2.0.3-2jammy) jammy; urgency=high

  * Treat t as whitespace (#557 <https://github.com/ros2/rosidl/issues/557>)
  * Contributors: Dereck Wonnacott

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-rosidl-adapter (2.0.2-2jammy) jammy; urgency=high

  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-rosidl-adapter (2.0.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Sep 2020 00:00:00 -0000

ros-humble-rosidl-adapter (2.0.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 24 Sep 2020 00:00:00 -0000

ros-humble-rosidl-adapter (1.1.0-2jammy) jammy; urgency=high

  * Refactor regex for valid package/field names (#508 <https://github.com/ros2/rosidl/issues/508>)
  * Add pytest.ini so tests succeed locally (#502 <https://github.com/ros2/rosidl/issues/502>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-humble-rosidl-adapter (1.0.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-humble-rosidl-adapter (1.0.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 22 May 2020 00:00:00 -0000

ros-humble-rosidl-adapter (0.9.2-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 19 May 2020 00:00:00 -0000

ros-humble-rosidl-adapter (0.9.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-rosidl-adapter (0.9.0-2jammy) jammy; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 24 Apr 2020 00:00:00 -0000

ros-humble-rosidl-adapter (0.8.2-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 17 Jan 2020 00:00:00 -0000

ros-humble-rosidl-adapter (0.8.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-humble-rosidl-adapter (0.8.0-2jammy) jammy; urgency=high

  * Improve parser error messages (#415 <https://github.com/ros2/rosidl/issues/415>)
  * support adjacent string literals, use them for multi-line comments (#410 <https://github.com/ros2/rosidl/issues/410>)
  * avoid zero length comment when the comment only contains a unit (#411 <https://github.com/ros2/rosidl/issues/411>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)

