=== debian/control ===
Source: ros-humble-rosidl-adapter
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosidl-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, python3-empy, ros-humble-ament-cmake-core, ros-humble-rosidl-cli, ros-humble-ros-workspace
Description: API and scripts to parse .msg/.srv/.action files and convert them to .idl.
